(*
 * coqweb - A WEB-like tool for Coq
 * Copyright (C) 2000 Jean-Christophe FILLIATRE
 * 
 * This software is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * See the GNU General Public License version 2 for more details
 * (enclosed in the file GPL).
 *)

(*i $Id: doclexer.mli,v 1.2 2001/01/26 08:36:26 filliatr Exp $ i*)

(*s Coq files are represented by the record [coq_file], which
    contains their file names and their module names. The functions
    [module_name] and [make_coq_file] are used to construct such
    values. *)

type coq_file = { coq_filename : string; coq_module : string }

val module_name : string -> string

val make_coq_file : string -> coq_file

type file_type =
  | File_vernac of coq_file
  | File_other  of string

(*s The following function [read_one_file] reads a Coq file,
  separating the sections, and separating the paragraphs inside the
  sections. The boolean reference [skip_header] indicates whether the
  header must be skipped. [web_style] records if web sections were
  used anywhere in any file. *)

val skip_header : bool ref

val web_style : bool ref

val read_one_file : file_type -> Web.file

